const BaseScrapper = use('GBoxScrappers/Base')

class Discussion extends BaseScrapper{
    constructor(...params) {
        super(...params)
        this.tableName = 'learn_course_discussions'
        this.mediaTableName = 'learn_course_discussion_media'
        this.participantsTableName = 'learn_course_discussion_subscribers'
        this.columnName = 'discussion'
        this.route = `/v1/elearning/checkUserPermissions?discussion=${this.id}`
        this.api = 'elearning-api'
    }
    
    async getEntityClassName() {
        return 'discussion'
    }
}

module.exports= Discussion
