const BaseScrapper = use('GBoxScrappers/Base')

class LeadActivity extends BaseScrapper {
    constructor(...params) {
        super(...params)
        this.tableName = 'medicalLead_person'
        // this.mediaTableName = 'medicalLead_activity_media'
        // this.participantsTableName = ''
        // this.columnName = 'activity'
        this.route = `/v1/medicalLead/checkUserPermissions?leadPerson=${this.id}`
        this.nameField = 'displayName'
        this.api = 'medicalLead-api'
    }
    
    async getEntityClassName() {
        return 'person'
    }
}

module.exports= LeadActivity
