const BaseScrapper = use('GBoxScrappers/Base')

class Discussions extends BaseScrapper {
    constructor(...params) {
        super(...params)
        this.tableName = 'pro_project_discussions'
        this.mediaTableName = 'pro_project_discussion_media'
        this.participantsTableName = 'pro_project_discussion_subscribers'
        this.columnName = 'discussion'
        this.route = `/v1/projects/checkUserPermissions?discussion=${this.id}`
        this.api = 'projects-api'
    }
    
    async getEntityClassName() {
        return 'discussion'
    }
}

module.exports= Discussions
