const BaseScrapper = use('GBoxScrappers/Base')

class Class extends BaseScrapper{
    constructor(...params) {
        super(...params)
        this.tableName = 'learn_classes'
        this.mediaTableName = 'learn_class_media'
        this.participantsTableName = 'learn_class_participants'
        this.columnName = 'class'
        this.route = `/v1/elearning/checkUserPermissions?class=${this.id}`
        this.api = 'elearning-api'
    }
    
    async getEntityClassName() {
        return 'class'
    }
}

module.exports= Class
