const BaseScrapper = use('GBoxScrappers/Base')

class ProjectsDiscussion extends BaseScrapper {
    constructor(...params) {
        super(...params)
        this.tableName = 'pro_tasks'
        this.mediaTableName = 'pro_task_media'
        this.participantsTableName = 'pro_task_assignees'
        this.columnName = 'task'
        this.route = `/v1/projects/checkUserPermissions?task=${this.id}`
        this.api = 'projects-api'
    }
    
    async getEntityClassName() {
        return 'task'
    }
}

module.exports= ProjectsDiscussion
