const upperFirst = require('lodash/upperFirst')
const camelCase = require('lodash/camelCase')
const throw400 = require('../Helpers/Throw400')

module.exports = name => {
    let [type] = name.split(':')
    const scrapperName = upperFirst(camelCase(type))
    try{
        let Class = use(`GBoxScrappers/${scrapperName}`)
        return new Class(name)
    } catch (e) {
        throw400(`bad environment sent ${name}`)
    }
}
