const BaseScrapper = use('GBoxScrappers/Base')

class User extends BaseScrapper {
    constructor(...params) {
        super(...params)
        this.tableName = 'usr_users'
        this.mediaTableName = 'usr_media'
        this.participantsTableName = ''
        this.columnName = 'user'
        this.route = `/v1/user/checkUserPermissions?user=${this.id}`
        this.api = 'user-api'
    }
    
    async getEntityClassName() {
        return 'user'
    }
}

module.exports = User
